How Ubuntu plans to support PHP7?

Asked by vinc-q on 2015-12-03

Today will be release PHP 7, how Ubuntu plans to support it? It will be available at least in official LTS repository or we need to wait the next Ubuntu release?

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Last query:
2015-12-03
Last reply:
2016-04-08

Unless there are significant gains and security fixes, the version will remain the same. I expect that Xenial will get this as it isn't even in the Alpha stages.

vinc-q (vinc-q) said : #2

PHP7 is like a revolution, so I think they should create two branches, PHP5 packages and PHP7 packages, like Python.

Robie Basak (racb) said : #3

This is a developing feature request and we don't have a definite answer yet. More details in bug 1522422, and I'll keep that bug updated as work continues.

Colan Schwartz (colan) said : #4

This just in: "Just an FYI to all, php5 has been removed from Xenial and php7.0 is the only available PHP in 16.04!" -- https://bugs.launchpad.net/ubuntu/+source/php5/+bug/1522422/comments/119

Can you help with this problem?

Provide an answer of your own, or ask vinc-q for more information if necessary.

To post a message you must log in.